import { jsx as t } from "react/jsx-runtime";
import { lazy as r, Suspense as e } from "react";
import { withUxTheme as i, withContainer as n } from "@arcblock/ux/lib/DIDConnect";
import m from "./with-blocklet.js";
import a from "./with-bridge-call.js";
import { default as y } from "./hooks/security.js";
import c from "./fallback-connect.js";
const l = r(() => import("./connect.js"));
function f(o) {
  return /* @__PURE__ */ t(e, { fallback: /* @__PURE__ */ t(c, {}), children: /* @__PURE__ */ t(l, { ...o }) });
}
const w = i(a(m(n(f))));
export {
  w as default,
  y as useSecurity
};
